Ubuntu

'Cypress Trackpad' incorrectly detected as 'ImPS/2 Generic Wheel Mouse' in 'Dell XPS 13 Ultrabook''

Reported by Kyoungsoo Kim on 2012-04-11
172
This bug affects 29 people
Affects Status Importance Assigned to Milestone
Linux
Confirmed
Medium
linux (Ubuntu)
Medium
Kamal Mostafa
Precise
Medium
Kamal Mostafa
Quantal
Medium
Kamal Mostafa

Bug Description

My Dell XPS 13 Ultrabook can't detect Cypress Trackpad correctly.
It detected as 'ImPS/2 Generic Wheel Mouse'.
'Cypress Trackpad' works just basic function not fully.
The trackpad(touchpad)'s L-button and R-button works and scrolling and dragging work not perfectly.
Tapping work not perfectly, either.
For tapping, I should tap and hold the tapping for about 1sec. and then, it recognize tapping.

xinput --list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ ImPS/2 Generic Wheel Mouse id=13 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Power Button id=6 [slave keyboard (3)]
    ↳ Video Bus id=7 [slave keyboard (3)]
    ↳ Power Button id=8 [slave keyboard (3)]
    ↳ Sleep Button id=9 [slave keyboard (3)]
    ↳ Laptop_Integrated_Webcam_1.3M id=10 [slave keyboard (3)]
    ↳ AT Translated Set 2 keyboard id=11 [slave keyboard (3)]
    ↳ Dell WMI hotkeys

This is on Ubuntu 11.10 amd64.
---

Precise SRU justification:
http://kernel.ubuntu.com/git?p=kamal/ubuntu-precise.git;a=shortlog;h=refs/heads/cypress-for-precise

[IMPACT]

This patch set (cherry-picked from Quantal) provides a driver for the Cypress PS/2 Trackpad found in the Dell XPS 13, XPS 15, and other laptop models.

[TESTCASE]

The driver has been tested extensively in the "Sputnik Project" ISO and kernel PPA.

To test:
1. Observe that this trackpad yields only basic pointer-motion events without the new driver, but yields full multitouch support with the new driver.
2. Verify that the new driver doesn't cause other non-Cypress trackpads to fail.

[Regression Potential]

I have verified that the driver doesn't adversely affect non-Cypress trackpads by testing various laptops with Synaptics and Elantech trackpads. It is possible that other trackpads could be adversely affected.

---

ApportVersion: 1.23-0ubuntu4
Architecture: amd64
DistroCodename: oneiric
DistroRelease: Ubuntu 11.10
DistroVariant: ubuntu
Package: xserver-xorg-input-synaptics 1.4.1-1ubuntu2
PackageArchitecture: amd64
ProcEnviron:
 PATH=(custom, no user)
 LANG=ko_KR.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 3.0.0-17.30-generic 3.0.22
Tags: oneiric running-unity ubuntu
Uname: Linux 3.0.0-17-generic x86_64
UnreportableReason: Please work this issue through technical support channels first.
UpgradeStatus: Upgraded to oneiric on 2012-04-11 (1 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
---
ApportVersion: 1.23-0ubuntu4
Architecture: amd64
DistUpgraded: Log time: 2012-04-11 18:11:37.148056
DistroCodename: oneiric
DistroRelease: Ubuntu 11.10
DistroVariant: ubuntu
MachineType: Dell Inc. Dell System XPS L321X
Package: xserver-xorg-input-synaptics 1.4.1-1ubuntu2
PackageArchitecture: amd64
ProcEnviron:
 PATH=(custom, no user)
 LANG=ko_KR.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-17-generic root=UUID=D4EC24ABEC2489B6 loop=/hostname/disks/root.disk ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.0.0-17.30-generic 3.0.22
Tags: oneiric running-unity ubuntu
Uname: Linux 3.0.0-17-generic x86_64
UpgradeStatus: Upgraded to oneiric on 2012-04-11 (1 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 03/13/2012
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A03
dmi.board.name: 0Y4RM9
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: 0.1
dmi.modalias: dmi:bvnDellInc.:bvrA03:bd03/13/2012:svnDellInc.:pnDellSystemXPSL321X:pvr:rvnDellInc.:rn0Y4RM9:rvrA00:cvnDellInc.:ct8:cvr0.1:
dmi.product.name: Dell System XPS L321X
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.6+bzr20110929-0ubuntu6.1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.26-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 7.11-0ubuntu3.2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.11-0ubuntu3.2
version.xserver-xorg: xserver-xorg 1:7.6+7ubuntu7.1
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.0-1ubuntu13
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20110811.g93fc084-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.15.901-1ubuntu2.1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110411+8378443-1

Kyoungsoo Kim (nomp84) on 2012-04-11
tags: added: 13 ultrabook
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-input-synaptics (Ubuntu):
status: New → Confirmed
Crashbit (crashbit-gmail) wrote :

I have same problem with Ubuntu 12.04 and Dell XPS 13, i7 processor, and BIOS revision A03.

crashbit@XPS-L321X:~$ lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 003: ID 1bcf:288f Sunplus Innovation Technology Inc.
Bus 002 Device 005: ID 8086:0189 Intel Corp.

crashbit@XPS-L321X:~$ grep -i imps /var/log/Xorg.0.log
[ 4.926] (II) config/udev: Adding input device ImPS/2 Generic Wheel Mouse (/dev/input/event11)
[ 4.926] (**) ImPS/2 Generic Wheel Mouse: Applying InputClass "evdev pointer catchall"
[ 4.926] (II) Using input driver 'evdev' for 'ImPS/2 Generic Wheel Mouse'
[ 4.926] (**) ImPS/2 Generic Wheel Mouse: always reports core events
[ 4.926] (**) evdev: ImPS/2 Generic Wheel Mouse: Device: "/dev/input/event11"
[ 4.926] (--) evdev: ImPS/2 Generic Wheel Mouse: Vendor 0x2 Product 0x5
[ 4.926] (--) evdev: ImPS/2 Generic Wheel Mouse: Found 3 mouse buttons
[ 4.926] (--) evdev: ImPS/2 Generic Wheel Mouse: Found scroll wheel(s)
[ 4.926] (--) evdev: ImPS/2 Generic Wheel Mouse: Found relative axes
[ 4.926] (--) evdev: ImPS/2 Generic Wheel Mouse: Found x and y relative axes
[ 4.926] (II) evdev: ImPS/2 Generic Wheel Mouse: Configuring as mouse
[ 4.926] (II) evdev: ImPS/2 Generic Wheel Mouse: Adding scrollwheel support
[ 4.926] (**) evdev: ImPS/2 Generic Wheel Mouse: YAxisMapping: buttons 4 and 5
[ 4.926] (**) evdev: ImPS/2 Generic Wheel Mouse: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[ 4.926] (II) XINPUT: Adding extended input device "ImPS/2 Generic Wheel Mouse" (type: MOUSE, id 12)
[ 4.926] (II) evdev: ImPS/2 Generic Wheel Mouse: initialized for relative axes.
[ 4.927] (**) ImPS/2 Generic Wheel Mouse: (accel) keeping acceleration scheme 1
[ 4.927] (**) ImPS/2 Generic Wheel Mouse: (accel) acceleration profile 0
[ 4.927] (**) ImPS/2 Generic Wheel Mouse: (accel) acceleration factor: 2.000
[ 4.927] (**) ImPS/2 Generic Wheel Mouse: (accel) acceleration threshold: 4
[ 4.927] (II) config/udev: Adding input device ImPS/2 Generic Wheel Mouse (/dev/input/mouse0)

Ahmed Shams (ashams) wrote :

Hi Kyoungsoo Kim,
Can you please use your terminal (Ctrl+Alt+T) to run:
apport-collect 978807
and:
cat /proc/bus/input/devices > ~/Desktop/devices.txt
and attach the devices.txt file from your Desktop to this report/email.
Thanks in Advance

Changed in xserver-xorg-input-synaptics (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete
Crashbit (crashbit-gmail) wrote :

Hi!

I attach my /proc/bus/input/devices.

apport information

tags: added: apport-collected oneiric running-unity ubuntu
description: updated
Kyoungsoo Kim (nomp84) wrote :

I attached device.txt

ApportVersion: 2.0.1-0ubuntu2
Architecture: amd64
DistUpgraded: Fresh install
DistroCodename: precise
DistroRelease: Ubuntu 12.04
DistroVariant: ubuntu
EcryptfsInUse: Yes
MachineType: Dell Inc. Dell System XPS L321X
Package: xserver-xorg-input-synaptics 1.5.99.902-0ubuntu4
PackageArchitecture: amd64
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=ca_ES.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic root=UUID=6c0d40f0-1643-47a3-a8f7-11d2d73c46ae ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14
Tags: precise ubuntu
Uname: Linux 3.2.0-23-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 03/13/2012
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A03
dmi.board.name: 0Y4RM9
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: 0.1
dmi.modalias: dmi:bvnDellInc.:bvrA03:bd03/13/2012:svnDellInc.:pnDellSystemXPSL321X:pvr:rvnDellInc.:rn0Y4RM9:rvrA00:cvnDellInc.:ct8:cvr0.1:
dmi.product.name: Dell System XPS L321X
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.7.4-0ubuntu3
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.32-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

tags: added: precise

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Neo (neojia) wrote :

Can anybody at least show me how to use this trackpad with xterm? Currently, there is no "Emulation3Button" for this trackpad so copy & paste doesn't work.

Ahmed Shams (ashams) wrote :

Hi,
Their is a workaround, it is to remove and install psmouse driver, please open your Terminal(Ctrl+Alt+T) and run:

sudo rmmod psmouse
sudo insmod /lib/modules/`uname -r`/kernel/drivers/input/mouse/psmouse.ko

Did that work for you?

affects: xserver-xorg-input-synaptics (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Low → High
status: Incomplete → Confirmed

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get dist-upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-23.36
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
importance: High → Medium
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: removed: needs-upstream-testing
tags: added: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Confirmed → Triaged
G T (gt-nospam) on 2012-05-03
Changed in linux (Ubuntu):
status: Triaged → Confirmed
Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed
Changed in linux (Ubuntu):
assignee: nobody → Kamal Mostafa (kamalmostafa)
51 comments hidden view all 131 comments
Kamal Mostafa (kamalmostafa) wrote :

Thanks for your patience folks...

A new 'kamal4' kernel version is now available (or will be momentarily) in the DellXPS PPA https://launchpad.net/~kamalmostafa/+archive/dellxps . This contains my second cut at fixing the Cypress trackpad problem. This version now reliably recognizes the trackpad as "CyPS/2" on every cold boot and every resume, in my 64-bit or 32-bit installs on the Dell XPS 13.

Testers who have previously reported problems: Please advise whether the 'kamal4' version allows the trackpad to be recognized reliably. If it ever fails to work on a given boot or resume, please check and report: 1. whether xinput says "CyPS/2 Cypress Trackpad", and if not, what? 2. the output from the command "dmesg | grep -i trackpad"

I have noticed that the driver emits a flurry of "Trackpad... lost sync ... driver resynced" messages to the kernel dmesg log on suspend/resume -- these are apparently harmless -- please don't bother to report them.

Thanks all, for your assistance with the testing of this driver. I appreciate the kind words, and will pass them along to the folks at Cypress and Dell for supplying the driver and working with us to make it available.

Chris Ian Fiel (ccfiel-gmail) wrote :

kamal,

Its now working in i386. Thanks a lot!

Chris Ian Fiel

Brian (thaletterb) wrote :

Kemal,

Thanks for all the hard work on the trackpad issue. I can also confirm on the 64bit kemal 4 kernel, that mutli touch is working. I've had success with two finger scroll after enabling it in the trackpad menu and will try out three finger gestures

uname -ia

Here's my uname and xinput brian@brian-Dell-System-XPS-L321X:~$ uname -a
Linux brian-Dell-System-XPS-L321X 3.2.0-26-generic #41+kamal4~DellXPS-Ubuntu SMP Tue Jun 26 19:18:20 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

uname -i
x86_64

xinput
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ CyPS/2 Cypress Trackpad id=12 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Power Button id=6 [slave keyboard (3)]
    ↳ Video Bus id=7 [slave keyboard (3)]
    ↳ Power Button id=8 [slave keyboard (3)]
    ↳ Sleep Button id=9 [slave keyboard (3)]
    ↳ Laptop_Integrated_Webcam_1.3M id=10 [slave keyboard (3)]
    ↳ Dell WMI hotkeys id=13 [slave keyboard (3)]
    ↳ AT Translated Set 2 keyboard id=11 [slave keyboard (3)]

Sven Ole Skrivervik (svenole) wrote :

I can also confirm that the trackpad now seems to work after both several reboots, sleep and hibernate situations on the latest (4) 32 bit kernel.

- Sven

Sven Ole Skrivervik (svenole) wrote :

Add on to this. After several resumes from both hibernation and sleep, the trackpad now has failed me. When trying to do two finger scroll now, red rings appear several places on the side of the window and the whole window moves when moving the two fingers. I am sure this is a feature of multitouch, but I assume this should not happen like this... (?).

svenole@sven-laptop:~$ uname -a
Linux sven-laptop 3.2.0-26-generic-pae #41+kamal4~DellXPS-Ubuntu SMP Tue Jun 26 19:35:45 UTC 2012 i686 i686 i386 GNU/Linux

svenole@sven-laptop:~$ xinput
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ CyPS/2 Cypress Trackpad id=12 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Power Button id=6 [slave keyboard (3)]
    ↳ Video Bus id=7 [slave keyboard (3)]
    ↳ Power Button id=8 [slave keyboard (3)]
    ↳ Sleep Button id=9 [slave keyboard (3)]
    ↳ Laptop_Integrated_Webcam_1.3M id=10 [slave keyboard (3)]
    ↳ Dell WMI hotkeys id=13 [slave keyboard (3)]
    ↳ AT Translated Set 2 keyboard id=11 [slave keyboard (3)]

- Sven

Sven Ole Skrivervik (svenole) wrote :

One more add on to this. It actually looks like the trackpad went into a modus where it recognized a two finger touch on the pad as a three finger touch and behaved accordingly.... A reboot fixed the problem.

- Sven

sopmac (campos) wrote :

Dear Kamal,

first of all ... thanks a lot!

The recognition of the trackpad in my 32-bit installs on the Dell XPS 13 doesn't work ... what I'm doing wrong or what should I do?

$ uname -ia
Linux xpsopmac 3.2.0-26-generic-pae #41+kamal4~DellXPS-Ubuntu SMP Tue Jun 26 19:35:45 UTC 2012 i686 i686 i386 GNU/Linux

$ sudo dmidecode -s system-product-name
Dell System XPS L321X

$ xinput
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ ImPS/2 Generic Wheel Mouse id=12 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Power Button id=6 [slave keyboard (3)]
    ↳ Video Bus id=7 [slave keyboard (3)]
    ↳ Power Button id=8 [slave keyboard (3)]
    ↳ Sleep Button id=9 [slave keyboard (3)]
    ↳ Laptop_Integrated_Webcam_1.3M id=10 [slave keyboard (3)]
    ↳ AT Translated Set 2 keyboard id=11 [slave keyboard (3)]
    ↳ Dell WMI hotkeys id=13 [slave keyboard (3)]

and no messages containing "*rackpad*"

Thx in advance.

Best regards,

sopmac

Simone Bianco (newcolour78) wrote :

I can confirm that the new kernel from Kamal (v4) fixes the problem on my xps 13 i386.

I have not tried suspending/resuming several times as Sven has done, but I will repost if something like that happens.

So far, so good.

Thanks very much, Kamal.

Simone

Tartopom3 (tartopom3) wrote :

Kamal, First of all, i would like to thank you so much to have done such a great job for our community.

My Cypress Trakpad on my XPS13Z doesn't work at all under X...due to a lack of driver loaded...(it seems to).

$ dmesg | grep -i cyp
[ 3.721604] input: CyPS/2 Cypress Trackpad as /devices/platform/i8042/serio1/input/input7

$ uname -i
x86_64

$ uname -a
Linux dsi-13 3.2.0-26-generic #41+kamal4~DellXPS-Ubuntu SMP Tue Jun 26 19:18:20 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

$ sudo dmidecode -s system-product-name
Dell System XPS L321X

<<part of my Xorg.0.log>>

[ 4.496] (II) config/udev: Adding input device CyPS/2 Cypress Trackpad (/dev/input/event7)
[ 4.496] (**) CyPS/2 Cypress Trackpad: Applying InputClass "evdev touchpad catchall"
[ 4.496] (II) Using input driver 'evdev' for 'CyPS/2 Cypress Trackpad'
[ 4.496] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 4.496] (**) CyPS/2 Cypress Trackpad: always reports core events
[ 4.496] (**) evdev: CyPS/2 Cypress Trackpad: Device: "/dev/input/event7"
[ 4.496] (--) evdev: CyPS/2 Cypress Trackpad: Vendor 0x2 Product 0x8
...
[ 4.496] (II) config/udev: Adding input device CyPS/2 Cypress Trackpad (/dev/input/mouse0)
=====> [ 4.496] (II) No input driver specified, ignoring this device.
=====>[ 4.496] (II) This device may have been added with another device file.

I cleaned my /etc/X11/xorg.conf.d, and keep only original thing in /usr/share/X11/xorg.conf.d
I'm sure i have missed something trivial...but...don't know exactly what.

Thanks in advance for any tips!

Kamal Mostafa (kamalmostafa) wrote :

@Tartopom3 (and possibly also @sopmac?) - Your Xorg.0.log indicates that on your system, the Cypress Trackpad isn't getting attached to the 'synaptics' input module -- perhaps that is not installed on your system (but it would ordinarily have been by default), or perhaps your xorg.conf.d/* files are somehow out of whack. My Xorg.0.log includes the following, which shows the Cypress properly getting attached to the 'synaptics' module ...

[ 3.219] (II) config/udev: Adding input device CyPS/2 Cypress Trackpad (/dev/input/event7)
[ 3.219] (**) CyPS/2 Cypress Trackpad: Applying InputClass "evdev touchpad catchall"
[ 3.219] (**) CyPS/2 Cypress Trackpad: Applying InputClass "touchpad catchall"
[ 3.219] (II) LoadModule: "synaptics"
[ 3.219] (II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
[ 3.219] (II) Module synaptics: vendor="X.Org Foundation"
[ 3.219] compiled for 1.11.3, module version = 1.6.0
[ 3.219] Module class: X.Org XInput Driver
[ 3.219] ABI class: X.Org XInput driver, version 16.0
[ 3.219] (II) Using input driver 'synaptics' for 'CyPS/2 Cypress Trackpad'

@Tartopom3, please check the following:

Verify that the synaptics input module package is actually installed:
  $ sudo apt-get install xserver-xorg-input-synaptics

You shouldn't need any /etc/X11/xorg.conf.d directory at all -- if you have one with any files in it, remove it or push it aside.

The files in /usr/share/X11/xorg.conf.d should be pristine versions; the file 50-synaptics.conf should be present and should include an InputClass section which says: Identifier "touchpad catchall"

G T (gt-nospam) wrote :

Hi Kamal,

I added your patch and it seems to be working on my Dell XPS 15Z, thanks!

Gerald

Neo (neojia) wrote :

Kamal,

Sorry, this is kind off the topic, but I think this will eventually help people who is running Ubuntu on their XPS ultrabook.

Really appreciate your great help here, the kernel from your PPA works great on my XPS 13. But I am having problem with my wireless network when connecting to WPA2 Enterprise. I filed a bug 1019081 to track this issue.

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1019081

After trying the latest kernel at http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5-rc4-quantal/, my wireless card works at work with WPA2 but I missed all the important patches you have put together into your PPA (https://launchpad.net/~kamalmostafa)

So, is it possible to include the upstream wireless driver fix to your PPA as it is supposed to be dell XPS 13 package?

Neo (neojia) wrote :

Kamal,

I just update the bug 1019081 and applied a patch on the top of your remote branch dellxps, it works for me now. This is just simply quick hack. I think you guys still need to figure out the right upstream patch sets to fetch for an official fix.

Thanks,
Neo

On 06/29/2012 04:33 PM, Neo wrote:
[...]
> So, is it possible to include the upstream wireless driver fix to your
> PPA as it is supposed to be dell XPS 13 package?

Hi Neo -- The intent of this bug is to provide the latest bits we have
available from Cypress via Dell to cover the driver for the Cypress
touchpad.

Let's focus on the WPA Enterprise issue via the bug you filed and see
what can be done via official channels, adding fixes to this PPA before
they're appropriately triaged may cause complications of the overall
goals of this PPA.

Cheers,
Chris

Neo (neojia) wrote :

Chris,

Sure you are right, this is a separate issue and my comments here just want to make sure Kamal include later official wireless driver fix for dell xps 13.

Thanks,
Neo

This is outstanding! Thank you Kamal..

  I have one question; are there more tweaks available for the driver than what appear in the config dialog for the touchpad?

  One thing that I notice happens quite frequently is that the touchpad will be activated after a pause in typing and it'll perform a few right/left clicks and open windows and tabs! It'd be nice to reduce the sesitivity somehow.

  I've tried turning off touch to click and reducing the pixel requirements to count as double click, etc..

  Any other ideas?

  Joe

Kamal Mostafa (kamalmostafa) wrote :

General information: The 'kamal5' kernel update which will soon be deployed in the DellXPS PPA at https://launchpad.net/~kamalmostafa/+archive/dellxps is just an update to the latest Ubuntu Precise kernel version; there are no functional changes to the included Cypress trackpad driver.

@Joe - The Cypress trackpad does respond to many (but perhaps not all?) of the configuration options listed by the 'synclient' command-line utility. You may find this article about synclient useful: http://guides.ianrenton.com/howto-linux-and-synaptics-touchpads-for-little-fingers/

Ben Dugan (bdugan-9) wrote :

Thank you so much Kamal: I am happily using the touchpad without having to physically click the buttons. The gestures seem to work quite well.

For some reason I do have to rmmod psmouse, then insmod it (as suggested in a workaround above). It doesn't come up properly by itself on boot. I'm running a 64 bit version here. I'll keep watching this space for others who have this problem or solutions for it. And I'd be happy to provide any details or log listings you request.

For now:

$uname -a
Linux bdugan-xps 3.2.0-27-generic #43+kamal5~DellXPS-Ubuntu SMP Fri Jul 6 23:01:01 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Thanks again.

Cliff Wells (cliff-develix) wrote :

The issue I'm seeing is that tap-to-click is *always* enabled for the two button regions at the bottom of the touchpad. It turns off for the touchpad in general, but the button areas themselves cannot have this disabled. It took me a while to figure out that this was the cause of seemingly random clicks and accidental double-clicks when physically depressing the pad.

Note, I'm using a Lenovo U300s, not the Dell XPS, so this may be isolated to this machine.

Aside from this issue, the touchpad driver seems to work acceptably on the U300s, so thanks!

sopmac (campos) wrote :

Hi everybody,

could someone put a tar-file containing conf-files from /usr/share/X11/xorg.conf.d/* with that the touchpad should work?
Thank you in advance!

John Marsden (jwmarsden) wrote :

Firstly, thanks for your efforts Kamal. Its brilliant having two finger scroll on a linux laptop.

I am one of the unfortunate typers that tends to bump the touchpad with my palms as I type. In my current Touchpad settings I have “Disable touchpad while typing” checked and “Enable mouse clicks with touchpad” unchecked. In this configuration the following occurs;

1. The main section of the touchpad behaves as expected
2. The left mouse button is active to tap (does not even require a click)
3. The right mouse button is active to tap (also does not require a click)

Does anyone have any recommendations for turning the left and right sections on the bottom of the pad off? I would be very happy if they just did not exist and I could use it to move around and it required a click to do anything.

As it is I cant really use this laptop to work on.. my stupid palms are making way to many mistakes.

Regards,

John

Rainer Rohde (rainer-rohde) wrote :

Currently running the 3.5.0-4-generic kernel and I am surprised that there still is no support for this touchpad. It's a cypress touchpad, which, from what I understand, is also found in Apple laptops. I didn't have any issues with my MacBook Pro and multitouch under Ubuntu...

Kamal Mostafa (kamalmostafa) wrote :

The following information is applicable to:
  - anyone who wishes to do a fresh install of Ubuntu 12.04 on a Dell XPS 13 (or other laptop with a Cypress PS/2 Trackpad)
  - users who have applied my DellXPS PPA, but still do not get consistent trackpad recognition (xinput shows the trackpad as "ImPS/2").

The official "Project Sputnik" Dell XPS 13 LiveBoot/installer ISO has just been updated to include the latest (kamal5) kernel from my PPA. This ISO is basically an Ubuntu 12.04 installer, pre-configured to use my DellXPS PPA and with a few extra "developer" packages installed, as documented:

    http://hwe.ubuntu.com/uds-q/dellxps/

Using that sputnik-iso-20120719-0.iso and the "USB Installation Instructions" procedure documented there, you can prepare a USB stick which you can use to:
  1. test the Cypress trackpad functionality in the Live Boot test environment (without modifying your actual installed system), and/or
  2. install or re-install your system from scratch (back up your existing user data first!)

The Sputnik ISO isn't necessary for those users who already have consistent Cypress trackpad recognition (with my PPA kernel) -- its the same driver.

Users with already-installed systems are recommended to just apply my PPA: https://launchpad.net/~kamalmostafa/+archive/dellxps

Kamal Mostafa (kamalmostafa) wrote :

Just a note to those commenting on the particulars of the trackpad behavior with the new experimental Cypress driver... At this time, I am more focused on getting the driver recognition issues sorted out and getting the driver deployed, than I am on issues like sensitivity and particular multitouch behaviors or bugs. Feel free to post such issues but pardon my lack of comment about them.

Rainer Rohde (rainer-rohde) wrote :

Is there a kernel module that I can install on my current 3.5.0-5-generic kernel on 12.10 Alpha2? I am not sure how to get this to work after adding your PPA to my sources.list.... Thanks.

Kamal Mostafa (kamalmostafa) wrote :

@Rainer - No, there is not yet a build of the Cypress driver for the 3.5 (12.10 alpha) kernel. I do intend to produce such a kernel within the next couple of weeks, and will announce its availability here. The driver source is available from my PPA page, if you can't wait, and are inclined to try to construct and build your own.

Rainer Rohde (rainer-rohde) wrote :

Thanks for the info, Kamal! Being only a regular user, I am patiently waiting until a kernel module is available for 12.10. :)

Tartopom3 (tartopom3) wrote :

Hi Kamal,

Accordingly to our mail exchanges, here is the issue (bug?) i noticed with my XPS13z. It correctly detects my Cypress trackpad, adding correct input device, but 2" later, it fails...

$ uname -a
Linux dsi-13 3.2.0-26-generic #41+kamal4~DellXPS-Ubuntu SMP Tue Jun 26 19:18:20 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

$ tail /var/log/Xorg.0.log
[ 4.416] (**) Option "Device" "/dev/input/event7"
[ 4.560] (EE) xf86OpenSerial: Cannot open device /dev/input/event7
        No such file or directory.
[ 4.560] (EE) synaptics: CyPS/2 Cypress Trackpad: Synaptics driver unable to open device
[ 4.560] (EE) PreInit returned 11 for "CyPS/2 Cypress Trackpad"
[ 4.560] (II) UnloadModule: "synaptics"
[ 4.560] (II) Unloading synaptics

have anyone noticed such problem?

Thank you again so much Kamal, for this huge work!
Best regards
P

Tartopom3 (tartopom3) wrote :

Hi,

Today, I flashed my BIOS to A06 version...on my Dells-XPS-13Z (L321X).. Still the same issue, after 1 second, the driver is unloading, due to a "Read error"... :o/ (this trackpad on this laptop works seamlessly along with Win7 OS, but this OS is not my cup of tea ..;o))

$ uname -a
Linux dsi-13 3.2.0-26-generic #41+kamal4~DellXPS-Ubuntu SMP Tue Jun 26 19:18:20 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

$ cat /var/log/Xorg.0.log
...
[ 3.788] (**) CyPS/2 Cypress Trackpad: always reports core events
[ 3.824] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio1/input/input7/event7"
[ 3.824] (II) XINPUT: Adding extended input device "CyPS/2 Cypress Trackpad" (type: TOUCHPAD, id 12)
...
[ 3.824] (--) synaptics: CyPS/2 Cypress Trackpad: touchpad found
[ 3.824] (II) config/udev: Adding input device CyPS/2 Cypress Trackpad (/dev/input/mouse0)
[ 3.824] (**) CyPS/2 Cypress Trackpad: Ignoring device from InputClass "touchpad ignore duplicates"
[ 3.826] (II) config/udev: Adding input device Dell WMI hotkeys (/dev/input/event5)
...
[ 3.900] CyPS/2 Cypress Trackpad: Read error No such device
[ 3.900] (II) config/udev: removing device CyPS/2 Cypress Trackpad
[ 3.948] (II) UnloadModule: "synaptics"
[ 3.948] (II) Unloading synaptics

If anyone on earth has any idea...
Many thanks
Paul

Kamal Mostafa (kamalmostafa) wrote :

FYI folks: My "kamalmostafa/dellxps" kernel PPA has been moved to a new location:

    https://launchpad.net/~canonical-hwe-team/+archive/sputnik-kernel

If you have previously subscribed to my old dellxps kernel PPA, then you do not need to take any action -- your PPA subscription will be updated to the new sputnik-kernel PPA automatically during your next regular software update. (This is also the case if you installed with the "Sputnik" ISO). The latest PPA kernel version for Ubuntu 12.04 is (still) "3.2.0-29...#46+kamal5~DellXPS", as shown by 'uname -a'.

New users should just apply the new sputnik-kernel PPA above.

For folks testing Ubuntu 12.10-alpha, the sputnik-kernel PPA now also includes a 3.5.0-based kernel with the same fixes applied (it also includes the Cypress trackpad driver).

Please contact me directly <email address hidden> if you experience any problems with the transition to the new sputnik-kernel PPA.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.5.0-11.11

---------------
linux (3.5.0-11.11) quantal-proposed; urgency=low

  [ Andy Whitcroft ]

  * [Config] enable CONFIG_X86_X32=y

  [ Cypress Semiconductor Corporation ]

  * SAUCE: input: Cypress PS/2 Trackpad mouse driver
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad link driver into psmouse-base
    - LP: #978807

  [ Dann Frazier ]

  * [Config] compile the rtc-pl031 driver as static on the highbank kernel
    flavour
    - LP: #1035110

  [ Ike Panhc ]

  * [Config] Enable CONFIG_DEBUG_HIGHBANK_UART for highbank
    - LP: #1034781

  [ Kamal Mostafa ]

  * SAUCE: input: Cypress PS/2 Trackpad code style cleanup
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad eliminate dead code
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad fix no-config stubs
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad set default debug_level=0
    - LP: #978807
  * SAUCE: [Config] add MOUSE_PS2_CYPRESS=y
    - LP: #978807

  [ Kees Cook ]

  * SAUCE: Yama: access task_struct->comm directly
  * SAUCE: Yama: add link restrictions
  * SAUCE: security: unconditionally chain to Yama LSM

  [ Seth Forshee ]

  * SAUCE: (drop after 3.6) irq_remap: disable IRQ remapping if any IOAPIC
    lacks an IOMMU
    - LP: #1034459

  [ Stefan Bader ]

  * (config) Enable getabis to use local package copies

  [ Tim Gardner ]

  * rebase to v3.5.2

  [ Upstream Kernel Changes ]

  * rds: set correct msg_namelen
    - LP: #1031112
    - CVE-2012-2340
  * rebase to v3.5.2
    - LP: #1027789
    - LP: #1001251
 -- Leann Ogasawara <email address hidden> Thu, 16 Aug 2012 08:52:09 -0700

Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Changed in linux (Ubuntu Precise):
assignee: nobody → Kamal Mostafa (kamalmostafa)
importance: Undecided → Medium
status: New → In Progress
Chris Van Hoof (vanhoof) on 2012-08-20
Changed in linux (Ubuntu Precise):
status: In Progress → Triaged
Changed in linux (Ubuntu Precise):
status: Triaged → In Progress
saksmlz (saksmlz) wrote :

Are you guys planning to release that fixes for the 12.04?

Kamal Mostafa (kamalmostafa) wrote :

The Cypress PS/2 Trackpad driver has now been integrated into the stock Ubuntu 12.10 (Quantal) kernel, as of kernel version 3.5.0-11.11 (see comment #122).

I am working to get it integrated into the stock Ubuntu 12.04 (Precise) kernel as well; I expect that will occur soon, and that it will appear in 12.04's kernel version 3.2.0-31.something.

The PPA kernels for both releases will continue to be maintained, since they also supply a backlight control fix for the DellXPS:

    https://launchpad.net/~canonical-hwe-team/+archive/sputnik-kernel

saksmlz (saksmlz) wrote :

thank you very much, i'm really appreciate your work.

description: updated
Lorenzo Villani (lvillani) wrote :

Are there any plans to submit this driver for inclusion into Linus' kernel tree?

robert.vertesi (vertesi) on 2012-09-07
Changed in linux (Ubuntu Precise):
status: In Progress → Opinion
status: Opinion → In Progress
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel for Precise in -proposed solves the problem (3.2.0-31.50). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-precise' to 'verification-done-precise'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise
tags: added: verification-done-precise
removed: verification-needed-precise
Changed in linux (Ubuntu Precise):
status: In Progress → Fix Committed
1 comments hidden view all 131 comments
Launchpad Janitor (janitor) wrote :
Download full text (5.5 KiB)

This bug was fixed in the package linux - 3.2.0-31.50

---------------
linux (3.2.0-31.50) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1047242

  [ Dave Airlie ]

  * SAUCE: drm/vmwgfx: add MODULE_DEVICE_TABLE so vmwgfx loads at boot
    - LP: #1039157

  [ Kamal Mostafa ]

  * SAUCE: input: Cypress PS/2 Trackpad move PSMOUSE_CYPRESS enum
    - LP: #1041594

linux (3.2.0-31.49) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1046216

  [ Cypress Semiconductor Corporation ]

  * SAUCE: input: Cypress PS/2 Trackpad mouse driver
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad link driver into psmouse-base
    - LP: #978807

  [ Ike Panhc ]

  * [Config] Enable CONFIG_DEVPTS_MULTIPLE_INSTANCES for highbank
    - LP: #1038259

  [ Kamal Mostafa ]

  * SAUCE: input: Cypress PS/2 Trackpad code style cleanup
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad eliminate dead code
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad fix no-config stubs
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad set default debug_level=0
    - LP: #978807

  [ Stefan Bader ]

  * Revert "SAUCE: fix pv-ops for legacy Xen"
    - LP: #1044550
  * SAUCE: Force xsave off on older Xen hypervisors
    - LP: #1044550

  [ Tim Gardner ]

  * [Config] Add smsc{79}5xx to nic-usb-modules
    - LP: #1041397

  [ Upstream Kernel Changes ]

  * Revert "samsung-laptop: make the dmi check less strict"
    - LP: #1028151
  * rds: set correct msg_namelen
    - LP: #1031112
    - CVE-2012-3430
  * bnx2: Fix bug in bnx2_free_tx_skbs().
    - LP: #1039087
  * sch_sfb: Fix missing NULL check
    - LP: #1039087
  * sctp: Fix list corruption resulting from freeing an association on a
    list
    - LP: #1039087
  * caif: Fix access to freed pernet memory
    - LP: #1039087
  * cipso: don't follow a NULL pointer when setsockopt() is called
    - LP: #1039087
  * caif: fix NULL pointer check
    - LP: #1039087
  * wanmain: comparing array with NULL
    - LP: #1039087
  * tcp: Add TCP_USER_TIMEOUT negative value check
    - LP: #1039087
  * USB: kaweth.c: use GFP_ATOMIC under spin_lock
    - LP: #1039087
  * net: fix rtnetlink IFF_PROMISC and IFF_ALLMULTI handling
    - LP: #1039087
  * tcp: perform DMA to userspace only if there is a task waiting for it
    - LP: #1039087
  * net/tun: fix ioctl() based info leaks
    - LP: #1039087
  * e1000: add dropped DMA receive enable back in for WoL
    - LP: #1039087
  * rtlwifi: rtl8192cu: Change buffer allocation for synchronous reads
    - LP: #1039087
  * hfsplus: fix overflow in sector calculations in hfsplus_submit_bio
    - LP: #1039087
  * drm/i915: fixup seqno allocation logic for lazy_request
    - LP: #1039087
  * mac80211: cancel mesh path timer
    - LP: #1039087
  * ath9k: Add PID/VID support for AR1111
    - LP: #1039087
  * ARM: mxs: Remove MMAP_MIN_ADDR setting from mxs_defconfig
    - LP: #1039087
  * ALSA: hda - add dock support for Thinkpad T430s
    - LP: #1039087
  * cfg80211: process pending events when unregistering net device
    - LP: #1039087
  * rt61pci: fix NULL pointer dereference in config_lna_gain
    - LP: #...

Read more...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

1 comments hidden view all 131 comments
GaryParr (gary-garyparr) wrote :

Hey, did anyone ever figure out why the Cypress trackpad was not being assigned to the Synaptics input module? This issue was raised on this thread... comment 100 and 101. There are a few people having the exact same problem and we can't seem to figure it out. https://answers.launchpad.net/ubuntu/+question/222502

Kamal Mostafa (kamalmostafa) wrote :

@GaryParr - We're tracking the XPS12-specific Cypress trackpad problem in LP: #1103594.

Displaying first 40 and last 40 comments. View all 131 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.